Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.optimization.linear
Class LinearObjectiveFunction

    java.lang.Object
      org.apache.commons.math.optimization.linear.LinearObjectiveFunction

All Implemented Interfaces:
  Serializable

    public class LinearObjectiveFunction

extends Object
implements Serializable

An objective function for a linear optimization problem.

A linear objective function has one the form:

     c1x1 + ... cnxn + d

The ci and d are the coefficients of the equation, the xi are the coordinates of the current point.

Since:
  2.0
Version:
  $Revision: 922713 $ $Date: 2010-03-14 02:26:13 +0100 (dim. 14 mars 2010) $
See Also:
  Serialized Form

Constructor Summary
`LinearObjectiveFunction(double[] coefficients, double constantTerm)`
`LinearObjectiveFunction(RealVector coefficients, double constantTerm)`

Method Summary
`boolean` | `equals(Object other)`
`RealVector` | `getCoefficients()` Get the coefficients of the linear equation being optimized.
`double` | `getConstantTerm()` Get the constant of the linear equation being optimized.
`double` | `getValue(double[] point)` Compute the value of the linear equation at the current point
`double` | `getValue(RealVector point)` Compute the value of the linear equation at the current point
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LinearObjectiveFunction

    public LinearObjectiveFunction(double[] coefficients,
                                   double constantTerm)

Parameters:
  `coefficients` - The coefficients for the linear equation being optimized
  `constantTerm` - The constant term of the linear equation

### LinearObjectiveFunction

    public LinearObjectiveFunction(RealVector coefficients,
                                   double constantTerm)

Parameters:
  `coefficients` - The coefficients for the linear equation being optimized
  `constantTerm` - The constant term of the linear equation

Method Detail

### getCoefficients

    public RealVector getCoefficients()

  Get the coefficients of the linear equation being optimized.

  Returns:
    coefficients of the linear equation being optimized

### getConstantTerm

    public double getConstantTerm()

  Get the constant of the linear equation being optimized.

  Returns:
    constant of the linear equation being optimized

### getValue

    public double getValue(double[] point)

  Compute the value of the linear equation at the current point

  Parameters:
    `point` - point at which linear equation must be evaluated
  Returns:
    value of the linear equation at the current point

### getValue

    public double getValue(RealVector point)

  Compute the value of the linear equation at the current point

  Parameters:
    `point` - point at which linear equation must be evaluated
  Returns:
    value of the linear equation at the current point

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2011 The Apache Software Foundation. All Rights Reserved.